## shim-signed 1.38

=== Makefile ===
check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	#sbverify --cert cyphermox.crt shimx64.efi.signed
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shimx64.efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shimx64.efi.signed 
	cp /usr/lib/shim/shimx64.efi build/shimx64.efi.signed
	sbattach --attach build/detached-sig build/shimx64.efi.signed
	cmp shimx64.efi.signed build/shimx64.efi.signed

clean:
	rm -rf build boot.csv BOOT$(EFI_ARCH).CSV

=== debian/changelog ===
shim-signed (1.38) cosmic; urgency=medium

  * Don't fail non-interactive upgrade of nvidia module and module removals
    (LP: #1726803)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Oct 2018 18:12:37 +0200

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 13),
 shim-unsigned (= 15.4-7),
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${misc:Depends},
 shim-signed-common (>= ${binary:Version}),
 grub-efi-amd64-bin [amd64],
 shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
 grub-efi-ia32-bin [i386],
 shim-helpers-i386-signed (>= 1+15.4+2) [i386],
 grub-efi-arm64-bin [arm64],
 shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
 grub2-common (>= 2.02+dfsg1-16)
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

Package: shim-signed-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, mokutil
Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Description: Secure Boot chain-loading bootloader (common helper scripts)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains common helper scripts for all versions of the
 shim-signed package.

## shim-signed 1.39~1+deb10u1

=== debian/changelog ===
shim-signed (1.39~1+deb10u1) buster-security; urgency=medium

  * Build against new signed binaries corresponding to 15.7-1~deb10u1
    Pulls multiple bugfixes in for the signed version:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
  * Update build-dep on shim-unsigned to use 15.7-1~deb10u1
  * Block Debian grub binaries with sbat < 4 (see #1024617)
    + Update Depends on grub2-common to match.
  * postinst/postrm: make config_item() more robust

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Mar 2023 22:39:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.4-7),
+Build-Depends: debhelper (>= 9),
+ shim-unsigned (= 15.7-1~deb10u1),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
  po-debconf
-Standards-Version: 4.5.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
@@ -19,12 +19,12 @@
 Depends: ${misc:Depends},
  shim-signed-common (>= ${binary:Version}),
  grub-efi-amd64-bin [amd64],
- shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
+ shim-helpers-amd64-signed (>= 1+15.4+2~deb10u1) [amd64],
  grub-efi-ia32-bin [i386],
- shim-helpers-i386-signed (>= 1+15.4+2) [i386],
+ shim-helpers-i386-signed (>= 1+15.4+2~deb10u1) [i386],
  grub-efi-arm64-bin [arm64],
- shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
- grub2-common (>= 2.02+dfsg1-16)
+ shim-helpers-arm64-signed (>= 1+15.4+2~deb10u1) [arm64],
+ grub2-common (>= 2.06-3~deb10u3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.39~1+deb11u1

=== debian/changelog ===
shim-signed (1.39~1+deb11u1) bullseye; urgency=medium

  * Build against new signed binaries corresponding to 15.7-1~deb11u1
    Pulls multiple bugfixes in for the signed version:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
  * Update build-dep on shim-unsigned to use 15.7-1~deb11u1
  * Block Debian grub binaries with sbat < 4 (see #1024617)
    + Update Depends on grub2-common to match.
  * postinst/postrm: make config_item() more robust

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Mar 2023 22:48:46 +0000

shim-signed (1.38) unstable; urgency=medium

  * Tweak how we call grub-install; don't abort on error. Not ideal
    behaviour either, but don't break upgrades. Copy the behaviour
    from the grub packages here. Closes: #990984
  * Update build-dep on shim-unsigned to use 15.4-7

 -- Steve McIntyre <93sam@debian.org>  Mon, 12 Jul 2021 12:46:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9),
- shim-unsigned (= 15.7-1~deb10u1),
+Build-Depends: debhelper (>= 13),
+ shim-unsigned (= 15.7-1~deb11u1),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
  po-debconf
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
@@ -19,12 +19,12 @@
 Depends: ${misc:Depends},
  shim-signed-common (>= ${binary:Version}),
  grub-efi-amd64-bin [amd64],
- shim-helpers-amd64-signed (>= 1+15.4+2~deb10u1) [amd64],
+ shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
  grub-efi-ia32-bin [i386],
- shim-helpers-i386-signed (>= 1+15.4+2~deb10u1) [i386],
+ shim-helpers-i386-signed (>= 1+15.4+2) [i386],
  grub-efi-arm64-bin [arm64],
- shim-helpers-arm64-signed (>= 1+15.4+2~deb10u1) [arm64],
- grub2-common (>= 2.06-3~deb10u3)
+ shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
+ grub2-common (>= 2.06-3~deb11u5)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.39

=== debian/changelog ===
shim-signed (1.39) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.7-1
    + This syncs up build-deps again. Closes: #1016280
    + We now have arm64 signed shims again \o/
      Undo the hacky unsigned arm64 build
      Closes: #1008942, #992073, #991478
    Pulls multiple other bugfixes in for the signed version:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
    + Fixes argument handling bug with some firmware implementations.
      Closes: #995940
  * Update build-dep on shim-unsigned to use 15.7-1
  * Block Debian grub binaries with sbat < 4 (see #1024617)
    + Update Depends on grub2-common to match.
  * postinst/postrm: make config_item() more robust
  * Add pt_BR translation, thanks to Paulo Henrique de Lima
    Santana. Closes: #1026415
  * Tweak dependencies

 -- Steve McIntyre <93sam@debian.org>  Thu, 09 Mar 2023 00:58:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.7-1~deb11u1),
+ shim-unsigned (= 15.7-1),
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
@@ -17,14 +17,14 @@
 Architecture: amd64 i386 arm64
 Multi-Arch: same
 Depends: ${misc:Depends},
- shim-signed-common (>= ${binary:Version}),
+ shim-signed-common (>= ${source:Version}),
  grub-efi-amd64-bin [amd64],
  shim-helpers-amd64-signed (>= 1+15.4+2) [amd64],
  grub-efi-ia32-bin [i386],
  shim-helpers-i386-signed (>= 1+15.4+2) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
- grub2-common (>= 2.06-3~deb11u5)
+ grub2-common (>= 2.06-6)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)

## shim-signed 1.39.1

=== debian/changelog ===
shim-signed (1.39.1) eoan; urgency=medium

  * Pass --timeout -1 to mokutil so that users don't end up with broken
    systems by missing MokManager on reboot after install.  LP: #1856422.
  * Add a versioned dependency on the mokutil that introduces --timeout.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2019 20:58:35 -0800

shim-signed (1.39) disco; urgency=medium

  * debian/source_shim-signed.py: Correct EFI architecture name for arm64.
  * Parameterize code to remove hardcoded x86-isms.
  * Add arm64 support.

 -- dann frazier <dannf@ubuntu.com>  Wed, 14 Nov 2018 11:13:42 -0700

## shim-signed 1.40

=== debian/changelog ===
shim-signed (1.40) unstable; urgency=medium

  * Stop recommending secureboot-db, we don't have that package.
    Closes: #1042964, #1041449, #932358
  * Add Romanian translation for debconf templates, thanks to
    Remus-Gabriel Chelu. Closes: #1039090

 -- Steve McIntyre <93sam@debian.org>  Fri, 04 Aug 2023 12:21:47 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= 1+15.4+2) [arm64],
  grub2-common (>= 2.06-6)
-Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim-unsigned)
VENDOR := $(shell dpkg-vendor --query vendor)

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),amd64)
export EFI_ARCH := x64
endif
ifeq ($(DEB_HOST_ARCH),arm64)
export EFI_ARCH := aa64
endif
ifeq ($(DEB_HOST_ARCH),i386)
export EFI_ARCH := ia32
endif

%:
	dh $@

docdir := debian/shim-signed-common/usr/share/doc/shim-signed-common

override_dh_installdebconf:
	dh_installdebconf -p shim-signed-common

override_dh_installdeb:
ifeq ($(VENDOR),Debian)
	# Remove apport files from Debian builds, they're not useful
	find debian/shim-signed-common -name '*apport*' | xargs rm -rvf
endif
	dh_installdeb

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)

## shim-signed 1.40.3

=== debian/changelog ===
shim-signed (1.40.3) focal; urgency=medium

  * Depend on the correct version of grub-signed (LP: #1871895)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 09 Apr 2020 20:48:31 +0200

shim-signed (1.40.2) focal; urgency=medium

  * Install grub to multiple ESPs (LP: #1871821)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 09 Apr 2020 13:05:53 +0200

shim-signed (1.40.1) focal; urgency=medium

  * Pass --timeout -1 to mokutil in a separate mokutil run (LP: #1869187),
    thanks to Aleksander Miera for the patch.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 09 Apr 2020 09:57:51 +0200

shim-signed (1.40) focal; urgency=medium

  * Pass --timeout -1 to mokutil so that users don't end up with broken
    systems by missing MokManager on reboot after install.  LP: #1856422.
  * Add a versioned dependency on the mokutil that introduces --timeout.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2019 20:26:42 -0800

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64 arm64
Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim)

ifeq ($(DEB_TARGET_ARCH),amd64)
export EFI_ARCH := X64
endif
ifeq ($(DEB_TARGET_ARCH),arm64)
export EFI_ARCH := AA64
endif
export SHIM_BASE = shim$(shell echo $(EFI_ARCH) | tr A-Z a-z).efi

%:
	dh $@

docdir := debian/shim-signed/usr/share/doc/shim-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION)

## shim-signed 1.40.9

=== debian/changelog ===
shim-signed (1.40.9) focal; urgency=medium

  [ dann frazier ]
  * Fix arm64 issues due to hardcoding "x64" as the EFI architecture.
    (LP: #2004208)
  * is-not-revoked: Support vmlinux.gz files as used on arm64.
    (LP: #2004201)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 31 Jan 2023 12:57:37 +0100

shim-signed (1.40.8) focal; urgency=medium

  * New upstream version 15.7 (LP: #1996503)
    - SBAT level: shim,3
    - SBAT policy bumped to for grub,2 in previous and grub,3 in latest:
      SBAT policy: latest="shim,2\ngrub,3\n" previous="grub,2\n"
  * SECURITY FIX: Buffer overflow when loading crafted EFI images.
      - CVE-2022-28737
  * debian/control: Depend on new grub versions (1.191 on lunar+, 1.187.2 elsewhere)
  * Break fwupd-signed signed with old keys
  * Check for revoked fb,mm binaries in build, grubs, fwupd in autopkgtest
  * Install both previous and latest shim as alternatives. On secure boot
    systems, if the current kernel or any newer one is revoked, the previous
    shim will continue to be used until current kernel and all newer ones
    are signed with a non-revoked key.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 26 Jan 2023 13:03:25 +0100

shim-signed (1.40.7) focal; urgency=medium

  * Update to shim 15.4-0ubuntu9
    - Fix booting installer media on some machines (LP: #1937115)
      + Always fallback to the default loader (PR #393)
      + Dump load options parsed (PR #393)
      + Disable load option parsing on removable media path (PR #399)
    - trivial: Fix a minor overflow in the mok importing code (PR #365)
    - Fix fall back loader to find the correct boot entry, avoiding potential
      corruption of firmware (PR #396).

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 13 Aug 2021 18:07:24 +0200

shim-signed (1.40.6) focal; urgency=medium

  * Update to shim 15.4-0ubuntu7:
    - Fix load option parsing, and thus fwupd execution (LP: #1929471) (PR #379)
    - Fix occasional crashes in _relocate() on arm64 (LP: #1928010) (PR #383)
    - Fix accidental deletion of RT variables (LP: #1934506) (PR #387)
    - mok: relax the maximum variable size check (LP: #1934780) (PR #369)
  * download-signed: Fetch signed artefacts from versioned URL instead
    of current/ symlink to work around caching (LP: #1936640)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Jul 2021 13:33:00 +0200

shim-signed (1.40.5) focal; urgency=medium

  * New upstream release 15.4.  LP: #1921134
  * Synchronize packaging with 1.48, summary
    - Update packaging to pull fb and mm from shim-signed package as in
      later releases, dropping the runtime dependency on shim.
    - Add download-signed script from linux-signed package
    - Include reworked Makefile from devel to better assert the integrity of
      the executables.
    - Dual-signed shim
    - Set XB-Important: yes and Protected: yes on shim-signed package
      so that it cannot be removed by accident (LP: #1898729)
  * Update to shim 15.4-0ubuntu5:
    - Stop addending vendor dbx to MokListXRT during MokListX mirroring. This
      is causing systems to run out of EFI storage space, or just hang up
      when trying to write it (LP: #1924605) (LP: #1928434)
    - Further relax the check for variable mirroring on non-secureboot systems
      avoiding boot failures on out of space conditons (pull request #372)
    - Don't unhook ExitBootServices() when EBS protection is disabled
      (LP: #1931136) (pull request #378)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Jun 2021 18:35:51 +0200

shim-signed (1.40.4) focal; urgency=medium

  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu2 binary from Microsoft.
    (LP: #1862171)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 07 Aug 2020 13:42:41 +0200

## shim-signed 1.40.10

=== debian/changelog ===
shim-signed (1.40.10) focal; urgency=medium

  * New upstream version 15.8 (LP: #2051151):
    - pe: Align section size up to page size for mem attrs (LP: #2036604)
    - SBAT level: shim,4
    - SBAT policy:
      - Latest: "shim,4\ngrub,3\ngrub.debian,4\n"
      - Automatic: "shim,2\ngrub,3\ngrub.debian,4\n"
      - Note that this does not yet revoke pre NTFS CVE fix GRUB binaries.
  * SECURITY UPDATE: a bug in an error message [LP: #2051151]
    - mok: fix LogError() invocation
    - CVE-2023-40546
  * SECURITY UPDATE: out-of-bounds write and UEFI Secure Boot bypass
    when booting via HTTP [LP: #2051151]
    - avoid incorrectly trusting HTTP headers
    - CVE-2023-40547
  * SECURITY UPDATE: out-of-bounds write and possible bug [LP: #2051151]
    - Fix integer overflow on SBAT section size on 32-bit system
    - CVE-2023-40548
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - Authenticode: verify that the signature header is in bounds.
    - CVE-2023-40549
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - pe: Fix an out-of-bound read in verify_buffer_sbat()
    - CVE-2023-40550
  * SECURITY UPDATE: out-of-bounds read and possible bug [LP: #2051151]
    - pe-relocate: Fix bounds check for MZ binaries
    - CVE-2023-40551

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 04 Apr 2024 13:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
+Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt, efitools
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~)
+Replaces: shim (<< 15.3)
 Recommends: secureboot-db
 Built-Using: shim (= ${shim:Version})
+XB-Important: yes
+Protected: yes
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying
  signatures of other UEFI binaries against either the Secure Boot DB/DBX or

=== debian/tests/control ===
Tests: test-is-not-revoked
Restrictions: allow-stderr, needs-root
Depends: shim-signed, grub-efi-amd64-signed | grub-efi-arm64-signed, fwupd-signed, sbsigntool

## shim-signed 1.41

=== debian/changelog ===
shim-signed (1.41) focal; urgency=medium

  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu1 binary from Microsoft.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Feb 2020 13:04:08 -0800

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64 arm64
Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.02-2ubuntu9), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

## shim-signed 1.44~1%2Bdeb11u1

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/architecture.mk

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SHIM_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim-unsigned)
SHIM_HELPERS_VERSION := $(shell dpkg-query -f '$${Version}\n' -W shim-helpers-$(DEB_HOST_ARCH)-signed)
VENDOR := $(shell dpkg-vendor --query vendor)

ifeq ($(DEB_HOST_ARCH),amd64)
export EFI_ARCH := x64
endif
ifeq ($(DEB_HOST_ARCH),arm64)
export EFI_ARCH := aa64
endif
ifeq ($(DEB_HOST_ARCH),i386)
export EFI_ARCH := ia32
endif

%:
	dh $@

docdir := debian/shim-signed-common/usr/share/doc/shim-signed-common

override_dh_installdebconf:
	dh_installdebconf -p shim-signed-common

override_dh_installdeb:
ifeq ($(VENDOR),Debian)
	# Remove apport files from Debian builds, they're not useful
	find debian/shim-signed-common -name '*apport*' | xargs rm -rvf
endif
	dh_installdeb

override_dh_gencontrol:
ifeq ($(DEB_HOST_ARCH),arm64)
	# On arm64, substitute our package description with "not
	# signed" warning at build time
	dh_gencontrol -pshim-signed -- \
		-v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION) \
		-Vhelpers:Version=$(SHIM_HELPERS_VERSION) \
		-DDescription="$$(cat debian/arm64.description)"
	dh_gencontrol --remaining-packages -- \
		-v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION) \
		-Vhelpers:Version=$(SHIM_HELPERS_VERSION)
else
	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
		-Vshim:Version=$(SHIM_VERSION) \
		-Vhelpers:Version=$(SHIM_HELPERS_VERSION)
endif

## shim-signed 1.44~1+deb10u1

=== debian/changelog ===
shim-signed (1.44~1+deb10u1) buster-security; urgency=medium

  * Build against new signed binaries corresponding to 15.8-1~deb10u1
  * Update build-dep on shim-unsigned to use 15.8-1~deb10u1
  * NOTE: this will block use of older grub binaries with sbat < 4
    + Update Depends on grub2-common to match.
  * Multiple packaging updates backported:
    + Add Romanian translation for debconf templates (thanks to
      Remus-Gabriel Chelu)
    + Stop recommending secureboot-db, we don't have that package
    + Tweak dependencies using substvars (thanks for help from Fabian
      Grünbichler)

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 Jul 2024 23:03:37 +0100

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 9),
 shim-unsigned (= 15.8-1~deb10u1),
 shim-helpers-amd64-signed [amd64],
 shim-helpers-arm64-signed [arm64],
 shim-helpers-i386-signed [i386],
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${misc:Depends},
 shim-signed-common (>= ${binary:Version}),
 grub-efi-amd64-bin [amd64],
 shim-helpers-amd64-signed (>= ${helpers:Version}) [amd64],
 grub-efi-ia32-bin [i386],
 shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
 grub-efi-arm64-bin [arm64],
 shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
 grub2-common (>= 2.06-3~deb10u4)
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

Package: shim-signed-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, mokutil
Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Description: Secure Boot chain-loading bootloader (common helper scripts)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains common helper scripts for all versions of the
 shim-signed package.

## shim-signed 1.44~1+deb10u2

=== debian/changelog ===
shim-signed (1.44~1+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Build against new signed binaries corresponding to 15.8-1~deb10u2
    - This adds the Freexian CA's alongside Debian's. That means that
      previous binaries (signed by Debian) will still be able to boot,
      as well as new binaries signed by Freexian.
  * Drop the AARCH64 signed binary. It's outdated and is not being used
    anyway as we don't currently support SB on arm64.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Oct 2024 20:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 9),
- shim-unsigned (= 15.8-1~deb10u1),
+ shim-unsigned (= 15.8-1~deb10u2),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
  shim-helpers-i386-signed [i386],

## shim-signed 1.44~1+deb11u1

=== Makefile ===
all: verify

verify: verify_$(EFI_ARCH)

verify_:
	@echo "EFI_ARCH is not set, ABORT"
	@false

verify_x64 verify_ia32:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim$(EFI_ARCH).efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shim$(EFI_ARCH).efi.signed 
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig build/shim$(EFI_ARCH).efi.signed
	cmp shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed
	sha256sum shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed

verify_aa64:
	@echo "Copying unsigned arm64 shim into place, sorry :-("
	mkdir -p build
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.44~1+deb11u1) bullseye; urgency=medium

  * Build against new signed binaries corresponding to 15.8-1~deb11u1
  * Update build-dep on shim-unsigned to use 15.8-1~deb11u1
  * NOTE: this will block use of older grub binaries with sbat < 4
    + Update Depends on grub2-common to match.
  * Multiple packaging updates backported:
    + Add Romanian translation for debconf templates (thanks to
      Remus-Gabriel Chelu)
    + Stop recommending secureboot-db, we don't have that package
    + Tweak dependencies using substvars (thanks for help from Fabian
      Grünbichler)

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 Jul 2024 22:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9),
- shim-unsigned (= 15.8-1~deb10u2),
+Build-Depends: debhelper (>= 13),
+ shim-unsigned (= 15.8-1~deb11u1),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
  shim-helpers-i386-signed [i386],
@@ -12,7 +12,7 @@
 # which broke our build
  sbsigntool (>= 0.9.2-2),
  po-debconf
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
@@ -27,7 +27,7 @@
  shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
- grub2-common (>= 2.06-3~deb10u4)
+ grub2-common (>= 2.06-3~deb11u6)
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying

## shim-signed 1.44~1+deb12u1

=== debian/changelog ===
shim-signed (1.44~1+deb12u1) bookworm; urgency=medium

  * Build against new signed binaries corresponding to 15.8-1~deb12u1
  * Update build-dep on shim-unsigned to use 15.8-1~deb12u1
  * NOTE: this will block use of older grub binaries with sbat < 4
    + Update Depends on grub2-common to match.
  * Multiple packaging updates backported:
    + Add Romanian translation for debconf templates (thanks to
      Remus-Gabriel Chelu)
    + Stop recommending secureboot-db, we don't have that package
    + Tweak dependencies using substvars (thanks for help from Fabian
      Grünbichler)

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 Jul 2024 21:59:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.8-1~deb11u1),
+ shim-unsigned (= 15.8-1~deb12u1),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
  shim-helpers-i386-signed [i386],
@@ -20,14 +20,14 @@
 Architecture: amd64 i386 arm64
 Multi-Arch: same
 Depends: ${misc:Depends},
- shim-signed-common (>= ${binary:Version}),
+ shim-signed-common (>= ${source:Version}),
  grub-efi-amd64-bin [amd64],
  shim-helpers-amd64-signed (>= ${helpers:Version}) [amd64],
  grub-efi-ia32-bin [i386],
  shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
- grub2-common (>= 2.06-3~deb11u6)
+ grub2-common (>= 2.06-13+deb12u1)
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying

=== debian/rules ===
--- 
+++ 
@@ -33,20 +33,6 @@
 	dh_installdeb
 
 override_dh_gencontrol:
-ifeq ($(DEB_HOST_ARCH),arm64)
-	# On arm64, substitute our package description with "not
-	# signed" warning at build time
-	dh_gencontrol -pshim-signed -- \
-		-v$(VERSION)+$(SHIM_VERSION) \
-		-Vshim:Version=$(SHIM_VERSION) \
-		-Vhelpers:Version=$(SHIM_HELPERS_VERSION) \
-		-DDescription="$$(cat debian/arm64.description)"
-	dh_gencontrol --remaining-packages -- \
-		-v$(VERSION)+$(SHIM_VERSION) \
-		-Vshim:Version=$(SHIM_VERSION) \
-		-Vhelpers:Version=$(SHIM_HELPERS_VERSION)
-else
 	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
 		-Vshim:Version=$(SHIM_VERSION) \
 		-Vhelpers:Version=$(SHIM_HELPERS_VERSION)
-endif

## shim-signed 1.44

=== debian/changelog ===
shim-signed (1.44) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: import architecture.mk earlier. Closes: #1074744
  * fix shim-helpers substvar handling

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 Jul 2024 01:08:50 +0100

shim-signed (1.43) unstable; urgency=medium

  * Fix broken usage of dpkg-query

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Jun 2024 13:00:23 +0100

shim-signed (1.42) unstable; urgency=medium

  * Tweak versioning in runtime dependencies, using substvars
    to make things more automatic in future.

 -- Steve McIntyre <93sam@debian.org>  Fri, 28 Jun 2024 00:40:31 +0100

shim-signed (1.41) unstable; urgency=medium

  * Build against new signed binaries corresponding to 15.8-1
    + Closes: #1071215
  * NOTE: Stop building packages for i386. The number of functioning
    i386 Secure Boot machines is approximately zero at this point.
  * Tweak packaging:
    + Switch from debian/compat to build-dep on debhelper-compat
      (= 13)

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Jun 2024 21:04:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,28 @@
 Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 13),
- shim-unsigned (= 15.8-1~deb12u1),
+ shim-unsigned (= 15.8-1),
  shim-helpers-amd64-signed [amd64],
  shim-helpers-arm64-signed [arm64],
- shim-helpers-i386-signed [i386],
 # sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
 # which broke our build
  sbsigntool (>= 0.9.2-2),
- po-debconf
+ po-debconf,
+ debhelper-compat (= 13)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
 Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git
 
 Package: shim-signed
-Architecture: amd64 i386 arm64
+Architecture: amd64 arm64
 Multi-Arch: same
 Depends: ${misc:Depends},
  shim-signed-common (>= ${source:Version}),
  grub-efi-amd64-bin [amd64],
  shim-helpers-amd64-signed (>= ${helpers:Version}) [amd64],
- grub-efi-ia32-bin [i386],
- shim-helpers-i386-signed (>= ${helpers:Version}) [i386],
  grub-efi-arm64-bin [arm64],
  shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
- grub2-common (>= 2.06-13+deb12u1)
+ grub2-common (>= 2.06-6)
 Built-Using: shim (= ${shim:Version})
 Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
  This package provides a minimalist boot loader which allows verifying

## shim-signed 1.45

=== Makefile ===
SHIM_CANONICAL_VERSION=$(shell dpkg-query -W -f'$${Version}' shim-canonical-unsigned)

check:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	#sbverify --cert cyphermox.crt shimx64.efi.signed
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt $(SHIM_BASE).signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig $(SHIM_BASE).signed 
	cp /usr/lib/shim/$(SHIM_BASE) build/$(SHIM_BASE).signed
	sbattach --attach build/detached-sig build/$(SHIM_BASE).signed
	cmp $(SHIM_BASE).signed build/$(SHIM_BASE).signed
	####
	# Construct dual-signed shim
	./download-signed shim-canonical-unsigned $(SHIM_CANONICAL_VERSION) shim-canonical signed
	# Verify that the downloaded binary has signatures chained to Canonical Master CA
	sbverify --cert CanonicalMasterCA.crt $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE).signed
	# Detach Canonical signature
	sbattach --detach $(SHIM_CANONICAL_VERSION)/detached-sig-canonical $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE).signed
	rm $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE).signed
	# Compare that shims are all the same now
	cmp /usr/lib/shim/$(SHIM_BASE) $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	# Reattach Canonical signature
	sbattach --attach $(SHIM_CANONICAL_VERSION)/detached-sig-canonical $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	# Verify that attachment worked
	sbverify --cert CanonicalMasterCA.crt $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	# Attach Microsoft signature
	sbattach --attach build/detached-sig $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	# Validate that this shim is now dualsigned
	sbverify --list $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	sbverify --cert CanonicalMasterCA.crt $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE)
	cp $(SHIM_CANONICAL_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).dualsigned

clean:
	rm -rf build $(SHIM_CANONICAL_VERSION) $shim_boot.csv BOOT$(EFI_ARCH).CSV

=== debian/changelog ===
shim-signed (1.45) groovy; urgency=medium

  * Merge back changes from focal that got lost in the shim revert, as
    groovy carried on from the reverted 1.41 upload and did not merge
    back 1.40.{1,2,3}:
    - Depend on the correct version of grub-signed (LP: #1871895)
    - Install grub to multiple ESPs (LP: #1871821)
    - Pass --timeout -1 to mokutil in a separate mokutil run (LP: #1869187),
      thanks to Aleksander Miera for the patch.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Oct 2020 11:02:12 +0200

shim-signed (1.44) groovy; urgency=medium

  * Set XB-Important: yes and Protected: yes on shim-signed package
    so that it cannot be removed by accident (LP: #1898729)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 20 Oct 2020 12:05:37 +0200

shim-signed (1.43) groovy; urgency=medium

  * Add download-signed script from linux-signed package
  * Construct and ship dual-signed shim.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Aug 2020 14:23:29 +0100

shim-signed (1.42) groovy; urgency=medium

  * Update to the signed 15+1552672080.a4a1fbe-0ubuntu2 binary from Microsoft.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 03 Aug 2020 12:36:10 +0200

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt, shim-canonical-unsigned (>= 2)
Standards-Version: 3.9.4
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed

Package: shim-signed
Architecture: amd64 arm64
Depends: ${misc:Depends}, shim (= ${shim:Version}), grub-efi-amd64-signed | grub-efi-arm64-signed, grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
Recommends: secureboot-db
Built-Using: shim (= ${shim:Version})
XB-Important: yes
Protected: yes
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

## shim-signed 1.46

=== Makefile ===
all:
	mkdir -p build
	# Download unsigned & signed shim
	./download-signed shim current shim signed

	# Copy unsigned shim
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/

	# Attach external signature to unsigned & signed shims
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE)
	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed

	# Copy external & dualsigned shims
	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed
	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned

	# Move archive signed fb*.efi & mm*.efi
	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
	mv $(SHIM_VERSION)/$(MM_BASE).signed build/$(MM_BASE)

	# Generate BOOT.CSV
	echo "$(SHIM_BASE),ubuntu,,This is the boot entry for ubuntu" | iconv -t UCS-2LE > build/BOOT$(EFI_ARCH).CSV

check:
	# Verify all signatures
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed
	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)

clean:
	rm -rf build $(SHIM_VERSION)

=== debian/changelog ===
shim-signed (1.46) hirsute; urgency=medium

  * New upstream release 15.4 LP: #1921134
  * Ship fb & mm from shim-signed package.
  * Remove shim-canonical-unsigned dependency, now provided by shim
    itself.
  * Generalize attaching externally supplied signatures, to aid building
    with embargoed or MS external signatures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 12:40:28 +0000

=== debian/control ===
Source: shim-signed
Section: utils
Priority: optional
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 13),
 shim-unsigned (= 15.8-1),
 shim-helpers-amd64-signed [amd64],
 shim-helpers-arm64-signed [arm64],
# sbsigntool before 0.9.2-2 had a horrid bug with checksum calculation
# which broke our build
 sbsigntool (>= 0.9.2-2),
 po-debconf,
 debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/efi-team/shim-signed
Vcs-Git: https://salsa.debian.org/efi-team/shim-signed.git

Package: shim-signed
Architecture: amd64 arm64
Multi-Arch: same
Depends: ${misc:Depends},
 shim-signed-common (>= ${source:Version}),
 grub-efi-amd64-bin [amd64] | systemd-boot [amd64],
 shim-helpers-amd64-signed (>= ${helpers:Version}) [amd64],
 grub-efi-arm64-bin [arm64] | systemd-boot [arm64],
 shim-helpers-arm64-signed (>= ${helpers:Version}) [arm64],
 grub2-common (>= 2.06-6) | systemd-boot [amd64 arm64],
Built-Using: shim (= ${shim:Version})
Description: Secure Boot chain-loading bootloader (Microsoft-signed binary)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains the version of the bootloader binary signed by the
 Microsoft UEFI CA.

Package: shim-signed-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, mokutil
Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
Description: Secure Boot chain-loading bootloader (common helper scripts)
 This package provides a minimalist boot loader which allows verifying
 signatures of other UEFI binaries against either the Secure Boot DB/DBX or
 against a built-in signature database.  Its purpose is to allow a small,
 infrequently-changing binary to be signed by the UEFI CA, while allowing
 an OS distributor to revision their main bootloader independently of the CA.
 .
 This package contains common helper scripts for all versions of the
 shim-signed package.

## shim-signed 1.47

=== Makefile ===
all: verify

verify:
	mkdir -p build
	# Verifying that the image is signed with the correct key.
	sbverify --cert MicCorUEFCA2011_2011-06-27.crt shim$(EFI_ARCH).efi.signed
	# Verifying that we have the correct binary.
	sbattach --detach build/detached-sig shim$(EFI_ARCH).efi.signed 
	cp /usr/lib/shim/shim$(EFI_ARCH).efi build/shim$(EFI_ARCH).efi.signed
	sbattach --attach build/detached-sig build/shim$(EFI_ARCH).efi.signed
	cmp shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed
	sha256sum shim$(EFI_ARCH).efi.signed build/shim$(EFI_ARCH).efi.signed

clean:
	rm -rf build

=== debian/changelog ===
shim-signed (1.47) unstable; urgency=medium

  * update-secureboot-policy: do better checking around DKMS
    If we have DKMS modules installed:
    + Check to see if a DKMS MOK key has been created and enrolled;
    + Check that all the DKMS modules are signed with that key;
    If successful, don't tell users to disable Secure Boot.
    Closes: #1108278.
    Add dependencies on openssl and kmod for shim-signed-common,
    needed for implementing these check.

 -- Steve McIntyre <93sam@debian.org>  Tue, 29 Jul 2025 18:40:14 +0100

shim-signed (1.46) unstable; urgency=medium

  * No-change rebuild to upload source-only. Argh. :-/

 -- Steve McIntyre <93sam@debian.org>  Mon, 23 Jun 2025 11:55:58 +0100

shim-signed (1.45) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add alternative dependencies on systemd-boot. Closes: #1086714

  [ Carles Pina i Estany ]
  * Add po-debconf Catalan translation. Closes: #1106345

 -- Steve McIntyre <93sam@debian.org>  Sun, 22 Jun 2025 23:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Package: shim-signed-common
 Multi-Arch: foreign
 Architecture: all
-Depends: ${misc:Depends}, mokutil
+Depends: ${misc:Depends}, mokutil, openssl, kmod
 Replaces: shim-signed (<< 1.32+15+1533136590.3beb971-5)
 Breaks: shim-signed (<< 1.32+15+1533136590.3beb971-5)
 Description: Secure Boot chain-loading bootloader (common helper scripts)

=== debian/rules ===
--- 
+++ 
@@ -36,3 +36,4 @@
 	dh_gencontrol -- -v$(VERSION)+$(SHIM_VERSION) \
 		-Vshim:Version=$(SHIM_VERSION) \
 		-Vhelpers:Version=$(SHIM_HELPERS_VERSION)
+
